Subject: Refine shibboleth account creation

Description

    -  If user has already a local account, ask for local account email & password to authenticate the user and switch to shibboleth account

directly.

    -  hide shibboleth identifier from the

Associated revisions

Revision ef20ea07 - 11/15/2012 05:37 pm - Sofia Papagiannaki 

Refine shibboleth signup mechanism

Refs: #3041
Refs: #3041

Revision 678b2236 - 11/16/2012 04:34 pm - Sofia Papagiannaki 

Customize third party signup form fields

Refs: #3041

Revision 678b2236 - 11/16/2012 04:34 pm - Sofia Papagiannaki 

Customize third party signup form fields

Refs: #3041

Revision 1f3b4b39 - 11/20/2012 02:19 pm - Sofia Papagiannaki 

Special handling for login failure messages

Refs: #3041
Special handling for login failure messages

Refs: #3041

Revision fffa19d2 - 11/20/2012 07:26 pm - Sofia Papagiannaki 

Updated shibboleth workflow (enable user change email before activation)

Refs: #3041

Revision fffa19d2 - 11/20/2012 07:26 pm - Sofia Papagiannaki 

Updated shibboleth workflow (enable user change email before activation)

Refs: #3041

Revision 6c8a3f7c - 11/22/2012 01:52 pm - Sofia Papagiannaki 

Enable inactive shibboleth users to change email

Refs: #3041

Revision 6c8a3f7c - 11/22/2012 01:52 pm - Sofia Papagiannaki 

Enable inactive shibboleth users to change email

Refs: #3041

Revision e6759494 - 11/22/2012 01:56 pm - Sofia Papagiannaki 

Improve unique_together email and is_active validation checking

Refs: #3041
Improve unique_together email and is_active validation checking

Refs: #3041

History

#1 - 11/13/2012 03:07 pm - Sofia Papagiannaki

- Target version set to 0.11

#2 - 11/13/2012 03:11 pm - Sofia Papagiannaki

- File login-logic.png added
#3 - 11/20/2012 04:19 pm - Sofia Papagiannaki

- File login-logic-1.png added

Updated workflow

#4 - 11/23/2012 02:17 pm - Sofia Papagiannaki

- Target version changed from 0.11 to 0.12

#5 - 02/08/2013 06:42 pm - Vangelis Koukis

- Project changed from astakos to Synnefo

- Target version deleted (0.12)

#6 - 02/08/2013 06:43 pm - Vangelis Koukis

- Category set to Astakos

#7 - 04/09/2013 11:04 am - Georgios Tsoukalas

- Status changed from Assigned to Closed
